<template>
    <KinesisContainer>
        <section class="plans-prices" id="plan-prices" :class="{'in-modal': inModal}">
            <div class="container">
                <div class="section-title left" id="prices" v-if="!inModal">Plans & Prices</div>
                <div class="payment-type" v-if="!inModal">
                    <span>Single Payment</span>
                    <AppCheckbox elId="pay1" @change="onChange" :checked="!isSingle"></AppCheckbox>
                    <span>Subscription</span>
                    <v-popover
                            offset="5"
                            trigger="hover"
                    >
                        <!-- This will be the popover target (for the events and position) -->
                        <button class="tooltip-target"></button>

                        <!-- This will be the content of the popover -->
                        <template slot="popover">
                            You don't have to pay full amount at once, you can pay fixed amount on a monthly basis in <span>6 months</span>.
                        </template>
                    </v-popover>
                </div>
                <div class="save-up" v-if="!inModal">
                    Save up to <span>30%</span>
                </div>

                <button class="close" @click="close()" v-if="inModal"></button>

                <div class="packages-box">
                    <swiper ref="mySwiper" :options="swiperOptions" :class="{'in-modal': inModal}">
                        <swiper-slide v-for="plan in plansData.plans" :key="plan.id" class="plan-item"
                                      :class="{chosen: plan.chosen}">
                            <div class="for">{{plan.for}}</div>
                            <div class="head">
                                <div class="name">{{plan.name}}</div>
                                <div class="price" v-if="!plan.custom">
                                    <span>${{plan.prices[getPlanPrice][0]}},</span>{{plan.prices[getPlanPrice][1]}}
                                    <div class="type">{{isSingle ? '/ single payment' : '/ subscription'}}</div>
                                </div>
                                <div class="custom" v-if="plan.custom">
                                    Custom Plans
                                </div>
                            </div>
                            <div class="sections">
                                <div class="section" v-for="(section, i) in plansData.sections"
                                     :key="i"
                                     :class="{[section.icon]: true, disable: disableSection(section.plans, plan.id)}"
                                >
                                    <img :src="getImgUrl(section.icon)" :alt="section.icon">
                                    <div class="name">
                                        {{section.name}}
                                    </div>
                                </div>
                            </div>

                            <div class="footer">
                                <button v-ripple="'rgba(84, 149, 255, 0.35)'" class="select-plan"
                                        :class="{active: plan.chosen}" @click="selectPlan(plan.id)">Select
                                </button>
                                <div class="save">
                                    Save <span>{{plan.save}}%</span>
                                </div>

                                <div class="more-features">Show More Features</div>
                            </div>
                        </swiper-slide>
                    </swiper>
                </div>
            </div>

            <kinesis-element :strength="3" class="figure3" v-if="!inModal">
                <img srcset="../../assets/img/backgrounds/figure3.png, ../../assets/img/backgrounds/figure3.2x.png 2x"
                     src="figure3.png" alt="Figure 3">
            </kinesis-element>
            <kinesis-element :strength="-7" class="figure4" v-if="!inModal">
                <img srcset="../../assets/img/backgrounds/figure4.png, ../../assets/img/backgrounds/figure4.2x.png 2x"
                     src="figure4.png" alt="Figure 4">
            </kinesis-element>
        </section>
    </KinesisContainer>
</template>

<script>
    import AppCheckbox from "../../components/form/AppCheckbox";
    import {packageMixin} from "../../mixins/packages";
    import {KinesisContainer, KinesisElement} from 'vue-kinesis';
    import {Swiper, SwiperSlide} from "vue-awesome-swiper";

    export default {
        name: "PlansPrices",
        props: {
            inModal: {
                type: Boolean,
                default: () => false
            }
        },
        data: () => ({
            swiperOptions: {
                slidesPerView: 'auto',
                spaceBetween: 20,
                grabCursor: true,
                // watchOverflow: true
            }
        }),
        components: {
            AppCheckbox,
            KinesisContainer,
            KinesisElement,
            Swiper,
            SwiperSlide,
        },
        computed: {
            swiper() {
                return this.$refs.mySwiper.$swiper
            }
        },
        methods: {
            close() {
                this.$modal.hide('plan');
            }
        },
        mixins: [packageMixin]
    }
</script>

<style scoped lang="scss">
    .plans-prices {
        position: relative;
        display: flex;
        justify-content: center;
        padding-top: 231px;

        &.in-modal {
            padding: 20px 0 50px 0;

            .close {
                position: absolute;
                top: 30px;
                right: 30px;
                width: 16px;
                height: 16px;
                background: url("../../assets/img/icons/x.svg") center no-repeat;
                border: 0;

                &:hover {
                    cursor: pointer;
                }
            }
        }

        .figure3 {
            position: absolute;
            top: 299px;
            right: -345px;
        }

        .figure4 {
            position: absolute;
            top: 500px;
            left: 0;
        }

        .container {
            width: 999px;

            .section-title {
                padding: 0 18px;
            }

            .payment-type {
                position: relative;
                margin-top: 23px;
                display: flex;
                align-items: center;
                padding: 0 18px;
                z-index: 10;

                span {
                    color: #4d4d65;
                    font-family: $mainFont, sans-serif;
                    font-size: 18px;
                    font-weight: 700;
                    letter-spacing: 0.8px;
                }

                .app-checkbox {
                    margin: 0 30px;
                }

                .tooltip-target {
                    width: 24px;
                    height: 24px;
                    background: url("../../assets/img/icons/info.svg") center no-repeat;
                    border: 0;
                    box-shadow: none;
                    margin-left: 5px;

                    &:hover {
                        cursor: help;
                    }
                }
            }

            .save-up {
                width: 96px;
                height: 22px;
                line-height: 22px;
                text-align: center;
                border-radius: 4px;
                background-color: #eff5ff;
                margin-top: 10px;
                color: #adaeb8;
                font-family: $secondFont, sans-serif;
                font-size: 11px;
                font-weight: 700;
                margin-left: 18px;

                span {
                    color: #0263ff;
                    font-size: 14px;
                }
            }

            .packages-box {
                margin-top: 61px;

                .swiper-container {
                    width: 100%;
                    margin-top: 40px;
                    padding: 40px 10px 150px 10px;

                    &.in-modal {
                        padding: 40px 10px;

                        .plan-item.chosen {
                            width: 246px;
                            z-index: 1;

                            &:before {
                                box-shadow: none !important;
                            }
                        }
                    }

                    .swiper-slide.plan-item {
                        position: relative;
                        width: 231px;
                        border-radius: 2px;
                        background-color: #ffffff;
                        box-shadow: 0 4px 15px rgba(#000000, .08);
                        display: flex;
                        justify-content: center;
                        flex-wrap: wrap;
                        padding-bottom: 40px;
                        box-sizing: border-box;
                        z-index: 2;

                        &.chosen {
                            width: 246px;
                            z-index: 1;

                            &:before {
                                position: absolute;
                                top: -24px;
                                left: 0;
                                display: block;
                                content: '';
                                width: 100%;
                                height: calc(100% + 38px);
                                box-shadow: 0 65px 71px rgba(186, 195, 205, 0.18), 0 59px 109px rgba(186, 195, 205, 0.16);
                                border: 3px solid #0263ff;
                                background-color: #ffffff;
                                z-index: 1;
                                box-sizing: border-box;
                            }

                            & > * {
                                z-index: 2;
                            }

                            .for {
                                color: #0f0f0f;
                                font-size: 11px;
                                margin-top: 0;
                                transform: translateY(-7px);
                            }

                            .head {
                                margin-top: 82px;
                            }
                        }

                        .for {
                            color: #c8c8cf;
                            font-family: $secondFont, sans-serif;
                            font-size: 9px;
                            font-weight: 400;
                            letter-spacing: 3.9px;
                            text-transform: uppercase;
                            margin-top: 22px;
                        }

                        .head {
                            margin-top: 62px;

                            .name {
                                color: #0f0f0f;
                                font-family: $secondFont, sans-serif;
                                font-size: 34px;
                                font-weight: 700;
                                letter-spacing: 1.6px;
                                text-transform: uppercase;
                                text-align: center;
                            }

                            .price {
                                height: 23px;
                                color: #0263ff;
                                font-family: $mainFont, sans-serif;
                                font-size: 18px;
                                font-weight: 700;
                                letter-spacing: 0.6px;
                                text-align: center;
                                display: flex;
                                justify-content: center;
                                align-items: center;
                                margin-top: 10px;

                                span {
                                    font-size: 20px;
                                }

                                .type {
                                    color: #c8c8cf;
                                    font-size: 13px;
                                    margin-left: 8px;
                                }
                            }

                            .custom {
                                height: 23px;
                                color: #0263ff;
                                font-family: $mainFont, sans-serif;
                                font-size: 20px;
                                font-weight: 700;
                                letter-spacing: 0.6px;
                                text-align: center;
                                margin-top: 10px;
                            }
                        }

                        .sections {
                            margin-top: 57px;

                            .section {
                                display: flex;
                                width: 180px;

                                & + .section {
                                    margin-top: 24px;
                                }

                                &.plus {
                                    margin-top: 54px;
                                }

                                .name {
                                    height: 16px;
                                    color: #4d4d65;
                                    font-family: $mainFont, sans-serif;
                                    font-size: 14px;
                                    font-weight: 700;
                                    letter-spacing: 0.6px;
                                    margin-left: 9px;
                                }

                                &.disable {
                                    img {
                                        opacity: 0;
                                    }

                                    .name {
                                        color: #c8c8cf;
                                    }
                                }
                            }
                        }

                        .footer {
                            position: relative;
                            margin-top: 72px;
                            display: flex;
                            justify-content: center;
                            flex-wrap: wrap;

                            .select-plan {
                                width: 188px;
                                height: 38px;
                                border-radius: 19px;
                                border: 2px solid #0263ff;
                                background-color: #ffffff;
                                color: #0263ff;
                                font-family: $mainFont, sans-serif;
                                font-size: 18px;
                                font-weight: 700;
                                letter-spacing: 0.58px;
                                margin: 0 30px;

                                &.active {
                                    background-color: #0263ff;
                                    color: #ffffff;
                                }

                                &:hover {
                                    cursor: pointer;
                                }
                            }

                            .save {
                                margin-top: 12px;
                                color: #adaeb8;
                                font-family: $secondFont, sans-serif;
                                font-size: 11px;
                                font-weight: 700;
                                border-bottom: 1px dashed #4d4d65;

                                span {
                                    color: #4d4d65;
                                    font-size: 13px;
                                }
                            }

                            .more-features {
                                position: absolute;
                                left: 50%;
                                transform: translateX(-50%);
                                bottom: -105px;
                                color: #0263ff;
                                font-family: $mainFont, sans-serif;
                                font-size: 14px;
                                font-weight: 700;
                                letter-spacing: 0.86px;
                                white-space: nowrap;

                                &:hover {
                                    cursor: pointer;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
</style>
